%define dapl1_version 1.2.10

Name: dapl
Version: 2.0.13
Release: 4%{?dist}
Summary: Library providing access to the  DAT 1.2 and 2.0 APIs
Group: System Environment/Libraries
License: Dual GPL/BSD/CPL
Url: http://openfabrics.org/
Source0: http://www.openfabrics.org/downloads/dapl/dapl-%{version}.tar.gz
Source1: http://www.openfabrics.org/downloads/dapl/compat-dapl-%{dapl1_version}.tar.gz
Patch0: dapl-install-hook.patch
Patch1: dapl-2.0-config.patch
Patch2: dapl-1.2-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Obsoletes: udapl
BuildRequires: libibverbs-devel >= 1.1, librdmacm-devel, autoconf, libtool
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
%description
libdat and libdapl provide a userspace implementation of the DAT 1.2 and 2.0
API that is built to natively support InfiniBand/iWARP network technology.

%package devel
Summary: Development files for the libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: udapl-devel
%description devel
Header files for libdat and libdapl library.

%package static
Summary: Static libdat and libdapl libraries
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}
Obsoletes: dapl-devel-static
%description static
Static versions of the libdat and libdapl libraries.

%package utils
Summary: Test suites for dapl libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description utils
Useful test suites to validate the dapl library API's and operation.

%package -n compat-dapl
Summary: dapl-1.2 compat libraries
Group: System Environment/Libraries
Obsoletes: udapl, dapl <= 1.2.1.1, compat-dapl-1.2.5
%description -n compat-dapl
These are the dapl-1.2 libraries provided for backward compatibility with
existing programs.

%package -n compat-dapl-devel
Summary: Development files for the dapl-1.2 compat libdat and libdapl libraries
Group: System Environment/Libraries
Requires: compat-%{name} = %{version}-%{release}
Obsoletes: udapl-devel, dapl-devel <= 1.2.1.1, compat-dapl-devel-1.2.5
%description -n compat-dapl-devel
Header files for the dapl-1.2 compat libdat and libdapl library.

%package -n compat-dapl-static
Summary: Static libdat and libdapl libraries
Group: System Environment/Libraries
Requires: compat-%{name}-devel = %{version}-%{release}
Obsoletes: dapl-devel-static, compat-dapl-static-1.2.5
%description -n compat-dapl-static
Static versions of the dapl-1.2 compat libdat and libdapl libraries.

%package -n compat-dapl-utils
Summary: Test suites for dapl 1.2 libraries
Group: System Environment/Libraries
Requires: compat-%{name} = %{version}-%{release}
%description -n compat-dapl-utils
Useful test suites to validate the dapl library API's and operation.

%prep
%setup -a 1
%patch0 -p1 -b .install-hook
%patch1 -p1 -b .dat2.conf
pushd compat-dapl-%{dapl1_version}
%patch2 -p1 -b .dat1.conf
aclocal -I config && libtoolize --force --copy && autoheader && \
    automake --foreign --add-missing --copy && autoconf
popd
aclocal -I config && libtoolize --force --copy && autoheader && \
    automake --foreign --add-missing --copy && autoconf

%build
%configure --enable-ext-type=ib --sysconfdir=/etc/ofed
make %{?_smp_mflags}
pushd compat-dapl-%{dapl1_version}
%configure --sysconfdir=/etc/ofed
make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
pushd compat-dapl-%{dapl1_version}
make DESTDIR=%{buildroot} install
for i in %{buildroot}%{_bindir}/*; do
  mv $i $i-1.2
done
popd
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post -n compat-dapl -p /sbin/ldconfig
%postun -n compat-dapl -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libdat2.so.*
%{_libdir}/libdaplofa.so.*
%{_libdir}/libdaploscm.so.*
%{_mandir}/man5/*
%config(noreplace) %{_sysconfdir}/ofed/dat.conf
%doc AUTHORS README ChangeLog

%files devel
%defattr(-,root,root,-)
%{_libdir}/libdat2.so
%{_libdir}/libdaplofa.so
%{_libdir}/libdaploscm.so
%dir %{_includedir}/dat2
%{_includedir}/dat2/*

%files static
%defattr(-,root,root,-)
%{_libdir}/libdat2.a
%{_libdir}/libdaplofa.a
%{_libdir}/libdaploscm.a

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*
%exclude %{_bindir}/*-1.2

%files -n compat-dapl
%defattr(-,root,root,-)
%{_libdir}/libdat.so.*
%{_libdir}/libdaplcma.so.*
%{_libdir}/libdaplscm.so.*

%files -n compat-dapl-devel
%defattr(-,root,root,-)
%{_libdir}/libdat.so
%{_libdir}/libdaplcma.so
%{_libdir}/libdaplscm.so
%dir %{_includedir}/dat
%{_includedir}/dat/*

%files -n compat-dapl-static
%defattr(-,root,root,-)
%{_libdir}/libdat.a
%{_libdir}/libdaplcma.a
%{_libdir}/libdaplscm.a

%files -n compat-dapl-utils
%defattr(-,root,root,-)
%{_bindir}/*-1.2

%changelog
* Thu Oct 16 2008 Doug Ledford <dledford@redhat.com> - 2.0.13-4
- Import the upstream fix for bug 465840
- Related: bz465840

* Mon Oct 13 2008 Doug Ledford <dledford@redhat.com> - 2.0.13-3
- Add a compat-dapl-utils package so people can test their dapl-1.2
  setups
- Even though we tell dapl to look for its config in /etc/ofed, it wasn't
  actually looking there.  Fix that.
- Resolves: bz465841, bz465840

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 2.0.13-2
- I don't know what I was thinking putting the version into the compat
  dapl packages names...makes upgrades not work and makes things like
  buildrequire compat-dapl-devel not work.  Removed, and we now obsolete
  the existing compat-dapl*-{version} packages.

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 2.0.13-1
- Update to latest upstream versions for both dapl and compat-dapl
- Resolves: bz451468

* Thu Apr 03 2008 Doug Ledford <dledford@redhat.com> - 2.0.7-2
- Need a new brew build in order to get the filelist correct in the errata
- Related: bz428197

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 2.0.7-1
- Update to same dapl versions as OFED 1.3 final bits
- Upstream modified dapl-1.2 and dapl-2.0 to coexist, so undo the changes we
  made in order for them to coexist in our package
- Related: bz428197

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 2.0.3-3
- Make dapl-1.2 and dapl-2.0 devel environments coexist, and make dapl-1.2
  the default lib so that unported apps continue to build, and ported apps
  build properly by adding -L%{_libdir}/dat -ldat to their LDFLAGS.

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 2.0.3-2
- Import upstream package, gut spec file, copy over dapl spec from openib spec
- Merge dapl 1.2 and 2.0 support into a single rpm
- Related: bz428197

* Tue Nov 20 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.3
- DAT/DAPL Version 2.0.3 Release 1

* Tue Oct 30 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.2
- DAT/DAPL Version 2.0.2 Release 1

* Tue Sep 18 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.1-1
- OFED 1.3-alpha, co-exist with DAT 1.2 library package.  

* Wed Mar 7 2007 Arlin Davis <ardavis@ichips.intel.com> - 2.0.0.pre
- Initial release of DAT 2.0 APIs, includes IB extensions 
